.btn-group {
  display:flex !important;
  justify-content: flex-start !important;
  width: 100% !important;
  flex-wrap: wrap;
}

@media (max-width: 800px) {
  .btn-group{
    flex-wrap:wrap !important;
  }
  .btn-group div{
    flex: 0 0 100% !important;
    text-align:right !important;
  }
}

	.back-btn {
		padding: 0px 13px !important;
    	font-size: 2.3em !important;
	}

	.containerMatches{
		display: flex;
		margin: 20px 0;
    grid-area: 1/2;
	}
	.btn-group {
	  display: table;
	  width: 100%;
	  table-layout: fixed;
	}
	.containerMatches .btn-group {
	  display: flex;
	  align-items: stretch;
	}
	.btn-group .btn-inner {
	  display: table-cell;
	  position: relative;
	  margin: 0px 2px;
	  color: #eee;
	  font-weight: bold;
	  padding: 0 10px;
	  font-size: 0.8rem;
	  position: relative;
	  text-align: center;
    -webkit-transition: all 0.1s ease-in;
    -moz-transition: all 0.1s ease-in;
    -ms-transition: all 0.1s ease-in;
    -o-transition: all 0.1s ease-in;
    transition: all 0.1s ease-in;
	  vertical-align: middle;
	  z-index: 0;
	  background-color: var(--main-color);
	  min-width: 65px;
	  text-decoration: none;
    height:37px;
    line-height: 37px;
	}
	.containerMatches .btn-group .btn-inner {
	  display: inline-block;
	}
	.btn-group .btn-inner + .btn-inner {
	  margin-left: 0px;
	}
	.btn-group .btn-inner:first-child {
	  border-radius: 10px 0 0 10px;
	}
	.btn-group .btn-inner:last-child {
	  border-radius: 0 10px 10px 0;
	}
  .btn-group .btn-inner:only-child{
    border-radius: 10px;
  }
	.btn-group .btn-inner:hover,.btn-inner.active {
	  background: var(--green);
	  color: white;
	  cursor: pointer;
	  z-index: 1;
	}
	.rmvBord {
		border-top: 0px !important;
	}
	@media screen and (max-width: 34.75em) {
	.containerMatches{
		margin-right: 10px;
    margin-left: 10px;
	}
	  .back-btn {
	    padding: 0px 3px !important;
	    font-size: 2em !important;
	}

	  .containerMatches .btn-group .btn-inner {
	    flex: auto;
	  }
	}
    .table_container{
        display:grid;
        place-content:center;
    }
    .table_container.oop{
        grid-auto-columns: 5% 75% 20%;
    }
    .containerOrderOfPlay{
        display:grid;
        grid-area: 1/2;
    }
	.containerCourtMatches {
        display: inline-grid;
        grid-template-columns: 25% 75%;
        margin: 10px;
    }
    .containerCourtMatches .court {
        background: var(--main-color);
        color: #fff;
        margin: 10px;
        border-radius: 10px;
        text-align: center;
        align-self: center;
        text-transform: uppercase;
        font-weight: bold;
        height: 100%;
        min-height: 50px;
        display: grid;
        align-items: center;
    }
    .containerCourtMatches .matches {
        background: var(--main-color-opac-aa);
        color: white;
        margin: 10px;
        border-radius: 10px;
        align-self: center;
        height: 100%;
        display: grid;
    }
    .containerCourtMatches .matches .match {
        line-height: 25px;
        display: grid;
        grid-template-columns: 15% 15% 45% 25%;
        text-align: center;
        padding: 0 5px;
    }
    .containerCourtMatches .matches .match .tb{
        vertical-align: super;
        font-size: 9px;
    }
    .containerCourtMatches .matches .match span {
        align-self: center;
    }
    .containerCourtMatches .matches .match.row1 {
        background: var(--main-color);
    }
    .containerCourtMatches .matches .match.last {
        border-radius: 0px 0px 10px 10px;
    }
    .containerCourtMatches .matches .match span.winner{
        color: var(--green);
        font-weight: bold;
    }

    @media (max-width:768px){
        .containerCourtMatches {
            grid-template-columns: 100%;
            margin: 0 0 10px 0;
        }
        
        .containerCourtMatches .court {
            margin: 10px 10px 0;
            border-radius: 10px 10px 0px 0px;
        }
        .containerCourtMatches .matches {
            margin: 0 10px;
            border-radius: 0px 0px 10px 10px;
        }
        .containerCourtMatches .matches .opponents {
            display: inline-grid;
            line-height: normal;
            padding: 10px 0;
        }
        .table_container, .table_container.oop{
            grid-auto-columns: 0% 100%;
        }
    }

    #match-dates-container{
      -webkit-transition: all 0.5s;
      -moz-transition: all 0.5s;
      -ms-transition: all 0.5s;
      -o-transition: all 0.5s;
      transition: all 0.5s;
      visibility: visible;
      height: 100%;
      opacity: 1;
    }

    #match-dates-container.hide{
      visibility: hidden;
      height: 0;
      opacity: 0;
      margin-left: -100vw;
    }

    .date-content{
      display: flex;
      place-content: center;
      margin: 10px 0;
    }

    .date-content .arrow {
      align-self: center;
      margin: 0 1em 0 1em;
      color: var(--main-color-opac-40);
      font-size: 35px;
      cursor: pointer;
      -webkit-transition: color 0.25s linear;
      -moz-transition: color 0.25s linear;
      -ms-transition: color 0.25s linear;
      -o-transition: color 0.25s linear;
      transition: color 0.25s linear;
      user-select: none;
    }
    
    .date-content .arrow:hover {
      color: var(--main-color-opac-80);
    }
    
    .date-content .box {
      width: 100px;
      height: 40px;
      background-color: var(--main-color);
      border-radius: 10px;
      text-align: center;
      line-height: 40px;
      color: #fff;
      font-size: 0.8rem;
      cursor: pointer;
      user-select: none;
    }
    
    .date-content .shake-horizontal {
      -webkit-animation: shake-horizontal 0.8s
        cubic-bezier(0.455, 0.03, 0.515, 0.955) both;
      animation: shake-horizontal 0.8s cubic-bezier(0.455, 0.03, 0.515, 0.955) both;
    }
    
    @-webkit-keyframes shake-horizontal {
      0%,
      100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
      }
      10%,
      30%,
      50%,
      70% {
        -webkit-transform: translateX(-10px);
        transform: translateX(-10px);
      }
      20%,
      40%,
      60% {
        -webkit-transform: translateX(10px);
        transform: translateX(10px);
      }
      80% {
        -webkit-transform: translateX(8px);
        transform: translateX(8px);
      }
      90% {
        -webkit-transform: translateX(-8px);
        transform: translateX(-8px);
      }
    }
    @keyframes shake-horizontal {
      0%,
      100% {
        -webkit-transform: translateX(0);
        transform: translateX(0);
      }
      10%,
      30%,
      50%,
      70% {
        -webkit-transform: translateX(-10px);
        transform: translateX(-10px);
      }
      20%,
      40%,
      60% {
        -webkit-transform: translateX(10px);
        transform: translateX(10px);
      }
      80% {
        -webkit-transform: translateX(8px);
        transform: translateX(8px);
      }
      90% {
        -webkit-transform: translateX(-8px);
        transform: translateX(-8px);
      }
    }
